Package net.shibboleth.idp.installer

# Class InstallerProperties

java.lang.Object
net.shibboleth.idp.installer.InstallerProperties

public final class InstallerProperties extends Object
Class to contain the publicly visible (and api) properties used by the installer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT_PATH`
The base URL for IdP endpoints.
`static final String`
`DEFAULT_CONTEXT_PATH`
The default context path
`static final int`
`DEFAULT_KEY_SIZE`
Key size for all installer-generated keys.
`static final String`
`ENTITY_ID`
The entity ID.
`static final String`
`GROUP_CONF_CREDENTIALS`
Group to set on files in the credential and conf directories.
`static final String`
`HOST_NAME`
What is the installer host name?
`static final String`
`IDP_PROPERTIES_MERGE`
The name of a property file to merge with idp.properties.
`static final String`
`KEY_SIZE`
The the key size to generate.
`static final String`
`KEY_STORE_PASSWORD`
The keystore password to use.
`static final String`
`LDAP_PASSWORD`
The LDAP Password (usually associated with a username in ldap.properties).
`static final String`
`LDAP_PROPERTIES_MERGE`
The name of a property file to merge with ldap.properties.
`static final String`
`MODE_CREDENTIAL_KEYS`
Mode to set on credential *key files.
`static final String`
`NO_PROMPT`
Do we cause a failure rather than a prompt.
`static final String`
`NO_TIDY`
Whether to tidy up after ourselves.
`static final String`
`PERFORM_SET_MODE`
Do we do any chgrp/chmod work?
`static final String`
`PROPERTY_SOURCE_FILE`
The name of a property file to fill in some or all of the above.
`static final String`
`SCOPE`
The scope to assert.
`static final String`
`SEALER_ALIAS`
The sealer alias to use.
`static final String`
`SEALER_KEYSIZE`
The keysize for the sealer.
`static final String`
`SEALER_PASSWORD`
The sealer password to use.
`static final String`
`TARGET_DIR`
Where to install to.

## Constructor Summary

Constructors
Constructor
Description
`InstallerProperties()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_SOURCE_FILE

@Nonnull @NotEmpty public static final String PROPERTY_SOURCE_FILE
The name of a property file to fill in some or all of the above. This file is deleted after processing.

See Also:
  - Constant Field Values

### IDP_PROPERTIES_MERGE

@Nonnull @NotEmpty public static final String IDP_PROPERTIES_MERGE
The name of a property file to merge with idp.properties.

See Also:
  - Constant Field Values

### LDAP_PROPERTIES_MERGE

@Nonnull @NotEmpty public static final String LDAP_PROPERTIES_MERGE
The name of a property file to merge with ldap.properties.

See Also:
  - Constant Field Values

### LDAP_PASSWORD

@Nonnull @NotEmpty public static final String LDAP_PASSWORD
The LDAP Password (usually associated with a username in ldap.properties).

See Also:
  - Constant Field Values

### TARGET_DIR

@Nonnull @NotEmpty public static final String TARGET_DIR
Where to install to. Default is basedir

See Also:
  - Constant Field Values

### ENTITY_ID

@Nonnull @NotEmpty public static final String ENTITY_ID
The entity ID.

See Also:
  - Constant Field Values

### NO_PROMPT

@Nonnull @NotEmpty public static final String NO_PROMPT
Do we cause a failure rather than a prompt.

See Also:
  - Constant Field Values

### HOST_NAME

@Nonnull @NotEmpty public static final String HOST_NAME
What is the installer host name?

See Also:
  - Constant Field Values

### SCOPE

@Nonnull @NotEmpty public static final String SCOPE
The scope to assert.

See Also:
  - Constant Field Values

### KEY_STORE_PASSWORD

@Nonnull @NotEmpty public static final String KEY_STORE_PASSWORD
The keystore password to use.

See Also:
  - Constant Field Values

### SEALER_PASSWORD

@Nonnull @NotEmpty public static final String SEALER_PASSWORD
The sealer password to use.

See Also:
  - Constant Field Values

### SEALER_ALIAS

@Nonnull @NotEmpty public static final String SEALER_ALIAS
The sealer alias to use.

See Also:
  - Constant Field Values

### SEALER_KEYSIZE

@Nonnull @NotEmpty public static final String SEALER_KEYSIZE
The keysize for the sealer.

See Also:
  - Constant Field Values

### KEY_SIZE

@Nonnull @NotEmpty public static final String KEY_SIZE
The the key size to generate.

See Also:
  - Constant Field Values

### MODE_CREDENTIAL_KEYS

@Nonnull @NotEmpty public static final String MODE_CREDENTIAL_KEYS
Mode to set on credential *key files.

See Also:
  - Constant Field Values

### GROUP_CONF_CREDENTIALS

@Nonnull @NotEmpty public static final String GROUP_CONF_CREDENTIALS
Group to set on files in the credential and conf directories.

See Also:
  - Constant Field Values

### PERFORM_SET_MODE

@Nonnull @NotEmpty public static final String PERFORM_SET_MODE
Do we do any chgrp/chmod work?

See Also:
  - Constant Field Values

### NO_TIDY

@Nonnull @NotEmpty public static final String NO_TIDY
Whether to tidy up after ourselves.

See Also:
  - Constant Field Values

### CONTEXT_PATH

@Nonnull @NotEmpty public static final String CONTEXT_PATH
The base URL for IdP endpoints.

See Also:
  - Constant Field Values

### DEFAULT_KEY_SIZE

public static final int DEFAULT_KEY_SIZE
Key size for all installer-generated keys.

See Also:
  - Constant Field Values

### DEFAULT_CONTEXT_PATH

public static final String DEFAULT_CONTEXT_PATH
The default context path

See Also:
  - Constant Field Values

## Constructor Details

### InstallerProperties

public InstallerProperties()